	list      p=16F84A 
	#include <p16F84A.inc>

	__CONFIG   _CP_OFF & _WDT_ON & _PWRTE_ON & _RC_OSC

Work		EQU		0x0C		;Work Reg

		ORG		0x000    ;processor reset vector
		goto	Start
		ORG		0x004	;Interrupt Vector
		incf	Work,F
		movf	Work,W
		movwf	PORTB
		bcf		INTCON,2
		retfie

Start

		movlw	0x20
		movwf	STATUS	;Select Bank1	
		movlw	0xff
		movwf	TRISA	;porta=input
		movlw	0x07
		movwf	OPTION_REG
		clrw
		movwf	TRISB	;portb=output
		movwf	STATUS
		clrf	Work
		movlw	0xa0
		movwf	INTCON	;Enable Timer Int
loop
		goto	loop
	
		END                     ; directive 'end of program'


